unit Messages;

interface

 const

  PrgName: string [24] = ' Mailer''s Queue Report ';
  PrgVer : string [7]  = ' V 2.11';
  PrgBits: string [30] = ' (full 32 bits / 64 bits comp)';
{$ifdef Win32}
  PrgType: string [8]  = '(WinNT) ';
{$endif}
{$ifdef OS2}
  PrgType: string [7]  = '(OS/2) ';
{$endif}
  PrgBy  : string [16] = '  Copyright by ';
  PrgAut : string [16] = 'Dmitriy Balashov';

  Pref_ : string [5] = #0#12'  ';
  Pref2_: string [9] = #0#6'   '#16' ';

{$ifndef Win32}
  NoMem    : string [14] = 'Out of memory!';
  InModule_: string [11] = 'In module: ';
  Module1  : string [28] = 'Accamulating queue statistic';
  Module2  : string [21] = 'Reading template file';
{$endif}

  Cant	      : string [6]  = 'Can''t ';
  CtlFile     : string [20] = ' configuration file ';
  LogFile     : string [9]  = ' Log-file';
  CtlReadErr  : string [4]  = 'read';
  LogCreateErr: string [6]  = 'create';
  LogWriteErr : string [8]  = 'write to';
  LogDesabled : string [15] = 'Log is desabled';
  File_       : string [5]  = 'File ';
  TemplateFile: string [19] = 'open template file ';

  AlNameErr : string [37] = 'Invalid alias name in string number: ';
  AlParamErr: string [23] = 'Invalid param of alias ';
  NoDefine  : string [26] = 'No define params of alias ';

  Scan_    : string [5]  = 'Scan ';
  ScanFB_  : string [10] = 'file boxes';
  ScanBSO_ : string [22] = 'binkley style outbound';
  ScanLong_: string [5]  = 'long ';
  Path_    : string [7]  = 'Path of';
  Not_	   : string [5]  = ' not ';
  Found_   : string [5]  = 'found';
  ScanDir_ : string [10] = ' directory';
  ForNode_ : string [10] = ' for node ';
  Analyze_ : string [8]  = 'Analyze ';
  SetFlag_ : string [8]  = 'Set flag';
  ScanSkip_: string [7]  = 'Skipped';
  Bad_	   : string [3]  = 'Bad';
  Name_    : string [6]  = ' name ';
  TMail_   : string [7]  = 'T-Mail ';
  TQueue_  : string [5]  = 'queue';
  TPackets_: string [7]  = 'packets';
  File__   : string [6]  = ' file ';

  IllegalVersion: string [33] = 'Defined illegal version of T-Mail';

  SetZone_: string [9]	= 'Set zone ';
  ForScan_: string [13] = ' for scanning';
  Decode_ : string [16] = 'Decoded address ';
  Failure_: string [8]	= 'failure';
  In_	  : string [4]	= ' in ';
  Files_  : string [6]	= ' files';
  For_	  : string [4]	= 'For ';
  NetMail_: string [12] = ': NetMail = ';
  ArcMail_: string [12] = ', ArcMail = ';
  FMail_  : string [10] = ', Files = ';

  AddrError: string [33] = 'Invalid fileboxe directory name: ';

  TotalMail: string [17] = 'Total mail size: ';
  AddMail_ : string [14] = 'Add mail for: ';

  NoLabel_: string [8]	= 'No label';

  TemplateGen_: string [17] = 'Generating report';
  WriteReport_: string [20] = 'Write report to disk';
  Complete_   : string [9]  = 'Complete!';

  Un_	     : string [2]  = 'Un';
  Registered_: string [11] = 'Registered ';
  Version_   : string [7]  = 'version';
  To_	     : string [3]  = 'to ';
  Number_    : string [8]  = 'Number: ';

  Sort_: string [18] = 'Sort data in queue';

  AvailableMem: string [22] = 'Available free memory ';
  Bytes_      : string [6]  = ' bytes';

  ExecFunc_: string [2] = '# ';
  EndFunc_ : string [2] = '# ';

implementation

end.
