unit MSGB;

interface

 uses Config, MSG, SysUtils;

 type
  pMSG = ^tMSG;
  tMSG = object (tBase)
   constructor Init;
   procedure   CreateHead;  virtual;
   procedure   Run;         virtual;
   procedure   WriteKludge; virtual;
  end;

implementation

 const
  MsgE: string [4] = '.MSG';

 constructor tMSG.Init;
 var SR: TSearchRec;
     DosError: integer;
     Max  : word;
     z, er: longint;
     FlNm : string;
 begin
  DosError:= FindFirst (CFG^.Area.Path + '\*' + MsgE, $20, SR);
  Max:= 1;
  while DosError = 0 do begin
    Val (ExtractFileName (SR.Name), z, er);
    if z >= Max then Max:= z + 1;
    DosError:= FindNext (SR);
   end;
  FindClose (SR);
  Str (Max, FlNm);
  FlNm:= CFG^.Area.Path + '\' + FlNm + MsgE;
  inherited Init (190, FlNm);
 end;

 procedure tMSG.CreateHead;
 var i: byte;
     s: string;
 begin
  for i:= 1 to Length (CFG^.FromName) do Head^ [i - 1]:= byte (CFG^.FromName [i]);
  for i:= 1 to Length (CFG^.ToName) do Head^ [i + 35]:= byte (CFG^.ToName [i]);
  for i:= 1 to Length (CFG^.Subject) do Head^ [i + 71]:= byte (CFG^.Subject [i]);
  s:= GetDT;
  for i:= 1 to 19 do Head^ [143 + i]:= byte (s [i]);
  i:= 166;
  Head^ [i - 2]:= 1;
  Head^ [i]:= Lo (CFG^.FromAddress [2]);
  Head^ [i + 1]:= Hi (CFG^.FromAddress [2]);
  Head^ [i + 2]:= Lo (CFG^.FromAddress [2]);
  Head^ [i + 3]:= Hi (CFG^.FromAddress [2]);
  i:= 172;
  Head^ [i]:= Lo (CFG^.FromAddress [1]);
  Head^ [i + 1]:= Hi (CFG^.FromAddress [1]);
  Head^ [i + 2]:= Lo (CFG^.FromAddress [1]);
  Head^ [i + 3]:= Hi (CFG^.FromAddress [1]);
  i:= 176;
  Head^ [i]:= Lo (TS.Date);
  Head^ [i + 1]:= Hi (TS.Date);
  Head^ [i + 2]:= Lo (TS.Time);
  Head^ [i + 3]:= Hi (TS.Time);
  i:= 187;
  Head^ [i]:= 1;
 end;

 procedure tMSG.Run;
 begin
  CreateHead;
  inherited Run;
 end;

 procedure tMSG.WriteKludge;
 begin
  WriteMSGID;
  WritePID;
  inherited WriteKludge;
 end;

end.
