program Register;

uses StdFunc, CRT, Types;

procedure Write (Str: string);
var i: byte;
    f: boolean;
begin
 if Str = '' then Exit;
 f:= False;
 for i:= 1 to Length (Str) do
  begin
   if not f then
    if Str [i] = #0 then f:= True
                    else System.Write (Str [i])
   else
    begin
     TextColor (byte (Str [i]) and $8F);
     TextBackGround ((byte (Str [i]) and $70) shr 4);
     f:= False;
    end;
  end;
end;

procedure Writeln (Str: string);
begin
 Write (Str);
 System.Writeln;
 TextColor (7);
 TextBackGround (0);
end;

var
 Data   : string;
 Name   : string;
 TFile  : textfile;
 RegNum : string;
 Addr   : t4D;

const
 FlName: string [12] = 'REGISTER.DAT';

procedure GetAddress;
var T: string;
    e: longint;
    i: byte;
    b: byte;
begin
 ClearAddr (Addr);
 i:= 1;
 b:= 1;
 while (Data [i] <> ':') and (i < Length (Data)) do Inc (i);
 Val (Copy (Data, b, i - 1), Addr [0], e);
 b:= i+1;
 i:= 0;
 while (Data [b+i] <> '/') and (i < Length (Data)) do Inc (i);
 Val (Copy (Data, b, i), Addr [1], e);
 b:= b+i+1;
 i:= 0;
 while (Data [b+i] <> '.') and (i < Length (Data)) do Inc (i);
 Val (Copy (Data, b, i), Addr [2], e);
 b:= b+i+1;
 i:= Length (Data) - b + 2;
 Val (Copy (Data, b, i), Addr [3], e);
end;

procedure Generate;
var N: System.LongInt;
    i: byte;
    R: array [0..1] of System.word absolute N;
    L: array [0..3] of System.byte absolute N;
    s: string;
begin
 GetAddress;
 i:= 0;
 N:= 0;
 while i < Length (Name) do begin
  inc (i);
  N:= i * $1418 + byte (Name [i]) * $1481 + N;
 end;
 R [0]:= R [0] xor Addr [0];
 R [1]:= (R [1] + R [0]) xor Addr [0];
 R [0]:= (R [0] + R [1]) xor Addr [1] + R [1] xor (Addr [0] or Addr [1]);
 R [1]:= (R [1] + R [0]) and Addr [1] + R [1] xor Addr [1];
 R [0]:= R [1] xor Addr [2] + R [0];
 R [1]:= R [0] and Addr [2] + R [1] xor Addr [2];
 R [0]:= R [0] xor (R [1] or Addr [3]);
 R [1]:= R [1] or R [0] xor (Addr [2] or Addr [3]);
 RegNum:= '';
 for i:= 0 to 3 do begin
  case L [i] shr 4 of
  0..9: s:= char ($30 + l [i] shr 4);
  10..15: s:= char (55 + l [i] shr 4);
  end;
  case L [i] and 15 of
  0..9: s:= char ($30 + l [i] and 15)+s;
  10..15: s:= char (55 + l [i] and 15)+s;
  end;
  RegNum:= s + RegNum;
 end;
 Writeln (#0#13'Defined registration number       : '+ RegNum);
end;

procedure WriteRegNum;
var s: string;
    a: string;
    i: byte;
    f: textfile;
begin
 a:= dellastspace (Data);
 s:= 'Name:    ['+DelLastSpace (Name)+']'#13#10'Address: ['+a+']'#13#10'Number:  ['+RegNum+']';
 Writeln (#0#11+S);
 i:= 1;
 while i < Length (a) do begin
  if (byte (a [i]) < $30) or (byte (a [i]) > $39) then a [i]:= '.';
  inc (i);
 end;
 assign (f, programpath + 'For '+a);
 Rewrite (f);
 System.Writeln (f,s);
 Close (f);
end;

var i: byte;
    C: char;

begin
 c:= 'y';
 while (c = 'Y') or (c='y') do begin
  Assign (TFile, ProgramPath + FlName);
  Write (#0#15'Enter full 4D main address of user: ');
  Readln (Data);
  if Data = '' then Exit;
  Write (#0#14'Enter user name                   : ');
  Readln (Name);
  if Name = '' then Exit;
  Generate;
  Append (TFile);
  if IOResult <> 0 then begin
   Rewrite (TFile);
   if IOResult <> 0 then begin
    Writeln (#0#12'Can''t open '+FlName);
    Halt;
   end;
   System.Writeln (TFile, 'Data:    Name:                                Address:          Number:');
  end;
  for i:= 1 to 36 - Length (Name) do Name:= Name + ' ';
  for i:= 1 to 17 - Length (Data) do Data:= Data + ' ';
  System.Writeln (TFile, Date, ' ', Name, ' ', Data, ' ', RegNum);
  Close (TFile);
  WriteRegNum;
  Write (#0#10'Continue?');
  while KeyPressed do ReadKey;
  while not KeyPressed do;
  c:= ReadKey;
  System.Writeln;
 end;
end.

